package ru.ulstu.odin.model;

import ru.ulstu.core.error.OdinException;

import java.util.List;

public class OdinMetadata {
    private final boolean odinDto;
    private final List<OdinField> fields;

    public OdinMetadata(boolean odinDto, List<OdinField> fields) {
        if (fields == null) {
            throw new OdinException("Fields list can't be null");
        }
        this.odinDto = odinDto;
        this.fields = fields;
    }

    public boolean isOdinDto() {
        return odinDto;
    }

    public List<OdinField> getFields() {
        return fields;
    }
}
